sgfthumbnail
Prev | Appendix A. Reference | Next

## sgfthumbnail

sgfthumbnail — Create thumbnails for SGF files.

## Synopsis

`sgfthumbnail` [`-verbose`] [`-size` `n`] `input.sgf` [`output.png`]

`sgfthumbnail` `-help`

`sgfthumbnail` `-version`

## Description

Create SGF thumbnails according to the Thumbnail Managing Standard from freedesktop.org. This allows previewing the SGF files in filemanagers that support this standard, like Nautilus. The installation script `install.sh` in the GoGui package will install SgfThumbnail as a thumbnailer for the GNOME desktop environment. The thumbnails will show the final position of the main variation, or the first position that contains both black and white setup stones. If SgfThumbnail is invoked without output filename, the thumbnails will be created in the directory `.thumbnails/normal` in the user home directory.

## Options

`-help`

  Display help and exit.

`-size` `n`

  This option sets the maximum Thumbnail size. Board sizes smaller than 19 will use a proportional fraction of this size. Default is 128.

`-verbose`

  Print logging messages to standard error.

`-version`

  Print version and exit.

Prev | Up | Next
sgftotex | Home | twogtp